#include <iostream>
#include <algorithm>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int *a = new int[n];
    double *p = new double[n];
    int *a2 = new int[n];
    double *p2 = new double[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];
        cin >> p[i];
        p2[i] = p[i];
    }
    sort(p, p + n);
    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(p[i] == p2[j]){
                a2[i] = a[j];
                p2[j] = -1;
                break;
            }
        }
    }
    double zbir = 0;
    double porez = 0;
    for(int i = n - 1; i >= 0; i--){
        zbir += a2[i];
        double trenutno = zbir / 100 * p[i];
        if(trenutno > porez) porez = trenutno;
    }
    cout << setprecision(15) << porez;
    return 0;
}